Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface RemoteApis.RaProcessControl

Enclosing interface:
  RemoteApis

    public static interface RemoteApis.RaProcessControl

It is for RA Process Control APIs.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`void` | `call()` Call.
`PcPrimitive` | `getRequest()` Gets the Request (primitive).
`PcPrimitive` | `getResponse()` Gets the response.
`long` | `getToken()` Get the token.
`void` | `receiveAnyResponse()` Receive any response.
`void` | `receiveAnyResponse(long msTimeOut)` Receive any response.
`void` | `receiveResponse()` Receive response.
`void` | `receiveResponse(long msTimeOut)` Receive the response.
`void` | `sendRequest()` Send request.
`void` | `setRequest(PcPrimitive request)` Set the request.
`void` | `setResponse(PcPrimitive response)` Sets the response.
`void` | `setToken(long token)` Sets the token.

Method Detail

### call

    void call()
              throws SAGApplicationException

  Call.

  Input : Request Output: Response

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### sendRequest

    void sendRequest()
                     throws SAGApplicationException

  Send request. Input : Request Output: Token
  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### receiveAnyResponse

    void receiveAnyResponse()
                            throws SAGApplicationException

  Receive any response.

  Input : None Output: Response, Token

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### receiveResponse

    void receiveResponse()
                         throws SAGApplicationException

  Receive response.

  Parameters:
    None.
  Input : Token Output: Response

  Throws:
    `SAGApplicationException` - upon error.

### receiveAnyResponse

    void receiveAnyResponse(long msTimeOut)
                            throws SAGApplicationException

  Receive any response.

  Input : None Output: Response, Token

  Parameters:
    `msTimeOut` -
  Throws:
    `SAGApplicationException` - upon error.

### receiveResponse

    void receiveResponse(long msTimeOut)
                         throws SAGApplicationException

  Receive the response.

  Input : Token Output: Response

  Parameters:
    `msTimeOut` -
  Throws:
    `SAGApplicationException` - upon error.

### getToken

    long getToken()

  Get the token.

  Parameters:
    None.

  Returns:
    `long` - Returns token.
  Throws:
    None.

### getRequest

    PcPrimitive getRequest()

  Gets the Request (primitive).

  Parameters:
    None.

  Returns:
    `Primitive` - Returns .
  Throws:
    None.

### getResponse

    PcPrimitive getResponse()

  Gets the response.

  Parameters:
    None.

  Returns:
    `Primitive` - Returns .
  Throws:
    None.

### setRequest

    void setRequest(PcPrimitive request)
                    throws SAGApplicationException

  Set the request.

  Parameters:
    `request` -
  Throws:
    `SAGApplicationException` - upon error.

### setResponse

    void setResponse(PcPrimitive response)
                     throws SAGApplicationException

  Sets the response.

  Parameters:
    `response` -
  Throws:
    `SAGApplicationException` - upon error.

### setToken

    void setToken(long token)
                  throws SAGApplicationException

  Sets the token.

  Parameters:
    `token` -
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.